com.hazelcast.config

## Class MemberAttributeConfig

- java.lang.Object
- - com.hazelcast.config.MemberAttributeConfig

- Direct Known Subclasses:
    MemberAttributeConfigReadOnly

      public class MemberAttributeConfig
      extends Object

  Contains configuration for attribute of member.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberAttributeConfig()`
    `MemberAttributeConfig(MemberAttributeConfig source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemberAttributeConfig` | `asReadOnly()` Deprecated. this method will be removed in 4.0; it is meant for internal usage only
    `Map<String,Object>` | `getAttributes()`
    `Boolean` | `getBooleanAttribute(String key)`
    `Byte` | `getByteAttribute(String key)`
    `Double` | `getDoubleAttribute(String key)`
    `Float` | `getFloatAttribute(String key)`
    `Integer` | `getIntAttribute(String key)`
    `Long` | `getLongAttribute(String key)`
    `Short` | `getShortAttribute(String key)`
    `String` | `getStringAttribute(String key)`
    `void` | `removeAttribute(String key)`
    `void` | `setAttributes(Map<String,Object> attributes)`
    `void` | `setBooleanAttribute(String key, boolean value)`
    `void` | `setByteAttribute(String key, byte value)`
    `void` | `setDoubleAttribute(String key, double value)`
    `void` | `setFloatAttribute(String key, float value)`
    `void` | `setIntAttribute(String key, int value)`
    `void` | `setLongAttribute(String key, long value)`
    `void` | `setShortAttribute(String key, short value)`
    `void` | `setStringAttribute(String key, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberAttributeConfig

          public MemberAttributeConfig()

    - #### MemberAttributeConfig

          public MemberAttributeConfig(MemberAttributeConfig source)

  - ### Method Detail

    - #### getAttributes

          public Map<String,Object> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,Object> attributes)

    - #### getStringAttribute

          public String getStringAttribute(String key)

    - #### setStringAttribute

          public void setStringAttribute(String key,
                                         String value)

    - #### getBooleanAttribute

          public Boolean getBooleanAttribute(String key)

    - #### setBooleanAttribute

          public void setBooleanAttribute(String key,
                                          boolean value)

    - #### getByteAttribute

          public Byte getByteAttribute(String key)

    - #### setByteAttribute

          public void setByteAttribute(String key,
                                       byte value)

    - #### getShortAttribute

          public Short getShortAttribute(String key)

    - #### setShortAttribute

          public void setShortAttribute(String key,
                                        short value)

    - #### getIntAttribute

          public Integer getIntAttribute(String key)

    - #### setIntAttribute

          public void setIntAttribute(String key,
                                      int value)

    - #### getLongAttribute

          public Long getLongAttribute(String key)

    - #### setLongAttribute

          public void setLongAttribute(String key,
                                       long value)

    - #### getFloatAttribute

          public Float getFloatAttribute(String key)

    - #### setFloatAttribute

          public void setFloatAttribute(String key,
                                        float value)

    - #### getDoubleAttribute

          public Double getDoubleAttribute(String key)

    - #### setDoubleAttribute

          public void setDoubleAttribute(String key,
                                         double value)

    - #### removeAttribute

          public void removeAttribute(String key)

    - #### asReadOnly

          public MemberAttributeConfig asReadOnly()

      Deprecated. this method will be removed in 4.0; it is meant for internal usage only
      Gets immutable version of this configuration.
      Returns:
        immutable version of this configuration

Copyright © 2018. All rights reserved.